Skip to main content
`Ctrl`+`K`

# MatGetSize

Returns the numbers of rows and columns in a matrix.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetSize(Mat mat, PetscInt *m, PetscInt *n)

Not Collective

## Input Parameter

- mat - the matrix

## Output Parameters

- m - the number of global rows

- n - the number of global columns

## Note

Both output parameters can be `NULL` on input.

## See Also

Matrices, `Mat`, `MatSetSizes()`, `MatGetLocalSize()`

## Level

beginner

## Location

src/mat/interface/matrix.c

## Examples

src/ksp/ksp/tutorials/ex59.c
src/ksp/ksp/tutorials/ex71.c
src/ksp/ksp/tutorials/ex81a.c
src/dm/impls/plex/tutorials/ex19.c
src/ksp/ksp/tutorials/ex27.c
src/ksp/ksp/tutorials/ex72.c
src/ksp/ksp/tutorials/ex81.c
src/ksp/ksp/tutorials/ex73.c
src/ksp/ksp/tutorials/ex60.c
src/ksp/ksp/tutorials/ex4.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages